<script lang="ts">
export default {
  name: 'JTypingDots',
};
</script>

<template>
  <div class="j-typing-dots">
    <img
      src="./img/typing-animation-light-purple.svg"
      class="j-typing-animation"
      alt="typing"
    >
  </div>
</template>

<style scoped lang="scss">
.j-typing-dots {
  width: 28px;
  height: 28px;
  overflow: hidden;

  .j-typing-animation {
    animation-duration: 2.3s;
    animation-timing-function: steps(68);
    animation-name: typing;
    animation-iteration-count: infinite;

    @keyframes typing {
      0% {
        transform: translateY(0px);
      }
      100% {
        transform: translateY(-1904px);
      }
    }
  }
}
</style>
